SDL Visual Test

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Macros | Functions
testharness.c File Reference
`#include <stdlib.h>`
`#include <SDL_test.h>`
`#include <SDL.h>`
`#include <SDL_assert.h>`
`#include "SDL_visualtest_harness_argparser.h"`
`#include "SDL_visualtest_process.h"`
`#include "SDL_visualtest_variators.h"`
`#include "SDL_visualtest_screenshot.h"`
`#include "SDL_visualtest_mischelper.h"`

## Macros
#define | ACTION_TIMER_EVENT 0
#define | KILL_TIMER_EVENT 1
#define | ACTION_LOOP_FPS 10
#define | TEST_PASSED 1
#define | TEST_FAILED 0
#define | TEST_ERROR -1

## Functions
int | main (int argc, char *argv[])

## Detailed Description

Source file for the test harness.

## Macro Definition Documentation

#define ACTION_LOOP_FPS 10

FPS value used for delays in the action loop

#define ACTION_TIMER_EVENT 0

Code for the user event triggered when a new action is to be executed

#define KILL_TIMER_EVENT 1

Code for the user event triggered when the maximum timeout is reached

#define TEST_ERROR -1

Value returned by RunSUTAndTest() on a fatal error

#define TEST_FAILED 0

Value returned by RunSUTAndTest() when the test has failed

#define TEST_PASSED 1

Value returned by RunSUTAndTest() when the test has passed

## Function Documentation

int main | ( | int | argc,
|  | char * | argv[]
| ) |  |

Entry point for testharness